
Infrastructure - Task #1796

Story # 1793 (Closed): Content checksums need to be verified after transfer

Verify checksums of content transferred during replication (GMN)

2011-09-15 17:31 - Dave Vieglais

Status: Closed Start date: 2011-09-15

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Content transferred between member nodes during replication needs to be verified for byte transfer accuracy before committing the

data store. 

The checksum of the retrieved object should be computed and compared with the checksum reported in the system metadata for the

object. An error should be raised if the checksums do not match.

History

#1 - 2011-11-11 17:09 - Roger Dahl

- Target version set to Sprint-2011.45-Block.6

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

#2 - 2012-02-27 18:16 - Roger Dahl

- Status changed from New to Closed
